<!--- 
This template is used for configuring the chat 
and will be executed only on the first time when the application starts

If you make changes to this template during the chat,
make sure to restart the chat by using /restart admin command or restarting the CF Server
--->

<cfscript>
///// GENERAL SETTINGS /////

// default document (index.cfm, default.cfm)
DefaultDoc = "index.cfm";

// url of the chat 
ChatURL = "http://www.friendscircle.net/chat"; 

// url to direct users to after logging off (leave blank if the same as ChatURL)
ChatLogoutURL = "";

// open chat screen in a new popup window
NewChatWindow = 1;

// minutes to remove inactive user from the chatroom
ConnTimeout = 3;

// keep chat text in the server memory in the last ??? seconds
FreeChatText = 20; 

// interval in seconds that the chat is refreshed by default. Recommended: 5-15
DefaultChatRefresh = 8; 

// Allow chatter to change the default refresh interval.  1 (YES), 0 (NO)
AllowChangeChatRefresh = 1;

// Allow chatter to change channel while chatting
AllowChangeChannel = 1;

// Allow chatter to chat privately 
AllowPrivateChat = 1;

// Locale time offset
TimeOffset = 7;

// date format
DateFormat = "mmm dd, yyyy"; 

// time format
TimeFormat = "hh:mm:ss tt"; 

// alow user to create a new channel
AllowNewChannel = 1; 

// allow user to create new PRIVATE channel
AllowNewPrivateChannel = 1; 

// charset encoding (utf-8, iso-8859-1, ect)
CharsetEncoding = "utf-8"; 

// use external validation method when logging in (be sure to turn off AllowChangeNick when this feature is on)
ExtValidation = 0; 

// Allow chatter to change nickname
AllowChangeNick = 1;

// nickname max length
NickMaxLen = 15; 

// a list of disallow nicknames, delimiter by comma (,)
DisallowNick = "fuck,shit";


///// CHANNEL LIST SETUP /////
arrChannels = arrayNew(1);

arrChannels[1] = StructNew();
arrChannels[1].ChannelName = "General Chat";
arrChannels[1].ChannelTopic = "General talking! Everyone is welcome.";
arrChannels[1].MaxUserAllow = 30;
arrChannels[1].IsLocked = 0;
arrChannels[1].LogPublicChat = 1;
arrChannels[1].LogPrivateChat = 1;
// log directory name (including back trailing slash) - requires CFFILE and CFDIRECTORY enabled
arrChannels[1].LogDir = "log\chat\general\"; 
		
arrChannels[2] = StructNew();
arrChannels[2].ChannelName = "Tech Support";
arrChannels[2].ChannelTopic = "Technical support";
arrChannels[2].MaxUserAllow = 30;
arrChannels[2].IsLocked = 0;
arrChannels[2].LogPublicChat = 0;
arrChannels[2].LogPrivateChat = 0;
arrChannels[2].LogDir = "log\chat\support\";
	

///// CHAT LOGGING /////
Logging = 1; // Enable login logging? - requires CFFILE and CFDIRECTORY enabled
// specify the directory which holds log files (including back trailing slash)
LogDir = "log\login\"; 	


///// IP ADDRESS BANNING /////
arrBanIP = arrayNew(1);
//	arrBanIP[1] = "203.162.3";
//	arrBanIP[2] = "203.192.5.2";

	
///// LANGUAGE SETTING /////
ShowLanguageSwitcher = 1; // show or hide the drop-down menu which allow users to choose language
arrLang = arrayNew(1);
arrLang[1] = "lang/lang_en.cfm"; // default language
arrLang[2] = "lang/lang_fr.cfm"; // comment or omit this line if you do not need French

</cfscript>